No sound, Only Dummy Output in linux-image-5.5.0-2-amd64

Getting your soundcard to work, using Debian on non-i386 hardware, etc

No sound, Only Dummy Output in linux-image-5.5.0-2-amd64

Postby johnnyhoffmann32 » 2020-04-25 02:19

I'm running Debian Unstable using linux-image-5.5.0-2-amd64 or linux-
image-5.5.0-1-amd64 on my HP ENVY Laptop 13-aq1xxx Laptop and
there is no sound, only Dummy Output. Sound works in linux-image-5.4.0-4-amd64.

Output from linux 5.4.0-4-amd64.
Code: Select all
$ aplay -l

**** List of PLAYBACK Hardware Devices ****
card 0: PCH [HDA Intel PCH], device 0: ALC285 Analog [ALC285 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: PCH [HDA Intel PCH], device 3: HDMI 0 [HDMI 0]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: PCH [HDA Intel PCH], device 7: HDMI 1 [HDMI 1]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: PCH [HDA Intel PCH], device 8: HDMI 2 [HDMI 2]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: PCH [HDA Intel PCH], device 9: HDMI 3 [HDMI 3]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: PCH [HDA Intel PCH], device 10: HDMI 4 [HDMI 4]
  Subdevices: 1/1
  Subdevice #0: subdevice #0


Code: Select all
$ lspci

00:00.0 Host bridge: Intel Corporation Device 9b61 (rev 0c)
00:02.0 VGA compatible controller: Intel Corporation UHD Graphics (rev
02)
00:04.0 Signal processing controller: Intel Corporation Xeon E3-1200
v5/E3-1500 v5/6th Gen Core Processor Thermal Subsystem (rev 0c)
00:08.0 System peripheral: Intel Corporation Xeon E3-1200 v5/v6 / E3-
1500 v5 / 6th/7th/8th Gen Core Processor Gaussian Mixture Model
00:12.0 Signal processing controller: Intel Corporation Comet Lake
Thermal Subsytem
00:14.0 USB controller: Intel Corporation Device 02ed
00:14.2 RAM memory: Intel Corporation Device 02ef
00:14.3 Network controller: Intel Corporation Wireless-AC 9462
00:14.5 SD Host controller: Intel Corporation Device 02f5
00:15.0 Serial bus controller [0c80]: Intel Corporation Serial IO I2C
Host Controller
00:15.1 Serial bus controller [0c80]: Intel Corporation Comet Lake
Serial IO I2C Host Controller
00:16.0 Communication controller: Intel Corporation Comet Lake
Management Engine Interface
00:17.0 RAID bus controller: Intel Corporation 82801 Mobile SATA
Controller [RAID mode]
00:1d.0 PCI bridge: Intel Corporation Device 02b0 (rev f0)
00:1d.4 PCI bridge: Intel Corporation Device 02b4 (rev f0)
00:1f.0 ISA bridge: Intel Corporation Device 0284
00:1f.3 Multimedia audio controller: Intel Corporation Device 02c8
00:1f.4 SMBus: Intel Corporation Device 02a3
00:1f.5 Serial bus controller [0c80]: Intel Corporation Comet Lake SPI
(flash) Controller
06:00.0 Non-Volatile memory controller: Toshiba Corporation Device 011a



PS: I have tired to make a bug report, but I'm not sure how to do it :'(
Last edited by johnnyhoffmann32 on 2020-04-25 09:12, edited 1 time in total.
johnnyhoffmann32
 
Posts: 11
Joined: 2016-08-28 09:17

Re: No sound, Only Dummy Output in linux-image-5.5.0-2-amd64

Postby sunrat » 2020-04-25 04:56

It's probably not a bug. It is a common sound card. Do you have the package intel-microcode installed?
Where do you see "Dummy Output"?
First check Pulse Audio Volume Control. Make sure the correct device is selected and volume is up. No joy? Open a terminal and run alsamixer and make sure relevant volumes are up and not muted. Use arrow keys to select output and adjust volume. If mute shows (M in output) use M key to toggle unmute.

Check if drivers are loaded:
Code: Select all
lspci -k |grep -A 3 Audio
“ computer users can be divided into 2 categories:
Those who have lost data
...and those who have not lost data YET ”
Remember to BACKUP!
User avatar
sunrat
 
Posts: 3239
Joined: 2006-08-29 09:12
Location: Melbourne, Australia

Re: No sound, Only Dummy Output in linux-image-5.5.0-2-amd64

Postby johnnyhoffmann32 » 2020-04-25 09:02

Now back in linux-image-5.5.0-2-amd64:
Yes, intel-microcode is installed.

Code: Select all
lspci -k |grep -A 3 Audio

Does not display anything

AlsaMixer is turned up to 76%
Sound Preferences shows "Dummy Output"
Code: Select all
aplay -l
aplay: device_list:274: no soundcards found...


For now, I had to download and install linux-image-5.4.0-4-amd64 from https://snapshot.debian.org/ just to get my sound to work at all.

PS: I BARELY update my computer once a week so I'm not sure if a slightly newer kernel will work, but I know linux-image-5.4.0-4-amd64 works
Last edited by johnnyhoffmann32 on 2020-04-25 09:22, edited 1 time in total.
johnnyhoffmann32
 
Posts: 11
Joined: 2016-08-28 09:17

Re: No sound, Only Dummy Output in linux-image-5.5.0-2-amd64

Postby Bloom » 2020-04-25 09:22

Perhaps the audio support got uninstalled somehow?
You can always try to reinstall everything audio. I use something like this for my system:
Code: Select all
sudo apt -y install alsa-tools-gui alsa-tools alsa-utils alsa-firmware-loaders alsamixergui alsaplayer oss-compat apulse ffmpeg ffmpegthumbnailer libdvdcss2 libdvdread7 abcde id3v2 asunder wavpack flac flake lame shorten shntool cuetools monkeys-audio pnmixer
User avatar
Bloom
 
Posts: 297
Joined: 2017-11-11 12:23

Re: No sound, Only Dummy Output in linux-image-5.5.0-2-amd64

Postby johnnyhoffmann32 » 2020-04-25 09:39

Unfortunately, some of those package are not in the repository. I'm using the Unstable Repository.

Code: Select all
sudo apt -y install alsa-tools-gui alsa-tools alsa-utils alsa-firmware-loaders alsamixergui alsaplayer oss-compat apulse ffmpeg ffmpegthumbnailer libdvdcss2 libdvdread7 abcde id3v2 asunder wavpack flac flake lame shorten shntool cuetools monkeys-audio pnmixer

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Note, selecting 'alsaplayer-common' instead of 'alsaplayer'
Package monkeys-audio is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Unable to locate package libdvdread7
E: Unable to locate package shorten
E: Package 'monkeys-audio' has no installation candidate


libdvdcss2 is already installed
I have libdvdread8 and libdvdread4 instead of libdvdread7
I have got libdvd-pkg libdvdcss2 libdvdnav4 installed

I have removed those other package from the command:
Code: Select all
sudo apt -y install alsa-tools-gui alsa-tools alsa-utils alsa-firmware-loaders alsamixergui alsaplayer oss-compat apulse ffmpeg ffmpegthumbnailer abcde id3v2 asunder wavpack flac flake lame shntool cuetools pnmixer
[sudo] password for xjohnnyhoffmann:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Note, selecting 'alsaplayer-common' instead of 'alsaplayer'
alsa-utils is already the newest version (1.2.2-1).
alsa-utils set to manually installed.
ffmpeg is already the newest version (7:4.2.2-1+b1).
ffmpeg set to manually installed.
ffmpegthumbnailer is already the newest version (2.1.1-0.2+b1).
ffmpegthumbnailer set to manually installed.
The following additional packages will be installed:
  alsaplayer-alsa alsaplayer-gtk bsd-mailx cd-discid cdparanoia exim4-base
  exim4-config exim4-daemon-light fxload glyrc libcommon-sense-perl libdiscid0
  libev-perl libfltk1.1 libfuture-asyncawait-perl libglyr1 libgnutls-dane0
  libid3-3.8.3v5 libio-socket-socks-perl libjs-prettify liblockfile1
  libmojo-server-fastcgi-perl libmojolicious-perl libmusicbrainz-discid-perl
  libunbound8 libwebservice-musicbrainz-perl libxs-parse-sublike-perl
  vorbis-tools

Suggested packages:
distmp3 id3 eyed3 normalize-audio vorbisgain mkcue mp3gain atomicparsley
  exim4-doc-html | exim4-doc-info eximon4 spf-tools-perl swaks lame-doc
  libid3-tools osspd sox

The following NEW packages will be installed:
  abcde alsa-firmware-loaders alsa-tools alsa-tools-gui alsamixergui
  alsaplayer-alsa alsaplayer-common alsaplayer-gtk apulse asunder bsd-mailx
  cd-discid cdparanoia cuetools exim4-base exim4-config exim4-daemon-light
  flac flake fxload glyrc id3v2 lame libcommon-sense-perl libdiscid0
  libev-perl libfltk1.1 libfuture-asyncawait-perl libglyr1 libgnutls-dane0
  libid3-3.8.3v5 libio-socket-socks-perl libjs-prettify liblockfile1
  libmojo-server-fastcgi-perl libmojolicious-perl libmusicbrainz-discid-perl
  libunbound8 libwebservice-musicbrainz-perl libxs-parse-sublike-perl
  oss-compat pnmixer shntool vorbis-tools wavpack
0 upgraded, 45 newly installed, 0 to remove and 0 not upgraded.
Need to get 7,211 kB of archives.
After this operation, 18.4 MB of additional disk space will be used.
Get:1 http://deb.debian.org/debian unstable/main amd64 cdparanoia amd64 3.10.2+debian-13+b1 [42.8 kB]
Get:2 http://deb.debian.org/debian unstable/main amd64 vorbis-tools amd64 1.4.0-11 [189 kB]
Get:3 http://deb.debian.org/debian unstable/main amd64 asunder amd64 2.9.5-1 [141 kB]
Get:4 http://deb.debian.org/debian unstable/main amd64 cd-discid amd64 1.4-1+b1 [10.3 kB]
Get:5 http://deb.debian.org/debian unstable/main amd64 lame amd64 3.100-3 [281 kB]
Get:6 http://deb.debian.org/debian unstable/main amd64 flac amd64 1.3.3-1 [131 kB]
Get:7 http://deb.debian.org/debian unstable/main amd64 libdiscid0 amd64 0.6.2-3 [15.8 kB]
Get:8 http://deb.debian.org/debian unstable/main amd64 libmusicbrainz-discid-perl amd64 0.06-1 [14.6 kB]
Get:9 http://deb.debian.org/debian unstable/main amd64 libjs-prettify all 2015.12.04+dfsg-1.1 [41.7 kB]
Get:10 http://deb.debian.org/debian unstable/main amd64 libmojolicious-perl all 8.40+dfsg-1 [811 kB]
Get:11 http://deb.debian.org/debian unstable/main amd64 libwebservice-musicbrainz-perl all 1.0.4-2 [13.8 kB]
Get:12 http://deb.debian.org/debian unstable/main amd64 abcde all 2.9.3-1 [149 kB]
Get:13 http://deb.debian.org/debian unstable/main amd64 fxload amd64 0.0.20081013-1+b2 [15.4 kB]
Get:14 http://deb.debian.org/debian unstable/contrib amd64 alsa-firmware-loaders amd64 1.2.2-1 [47.8 kB]
Get:15 http://deb.debian.org/debian unstable/main amd64 alsa-tools amd64 1.2.2-1 [82.3 kB]
Get:16 http://deb.debian.org/debian unstable/main amd64 libfltk1.1 amd64 1.1.10-26 [389 kB]
Get:17 http://deb.debian.org/debian unstable/main amd64 alsa-tools-gui amd64 1.2.2-1 [248 kB]
Get:18 http://deb.debian.org/debian unstable/main amd64 alsamixergui amd64 0.9.0rc2-1-10+b1 [29.2 kB]
Get:19 http://deb.debian.org/debian unstable/main amd64 alsaplayer-alsa amd64 0.99.81-2+b1 [33.7 kB]
Get:20 http://deb.debian.org/debian unstable/main amd64 alsaplayer-gtk amd64 0.99.81-2+b1 [149 kB]
Get:21 http://deb.debian.org/debian unstable/main amd64 alsaplayer-common amd64 0.99.81-2+b1 [170 kB]
Get:22 http://deb.debian.org/debian unstable/main amd64 apulse amd64 0.1.12-2 [39.3 kB]
Get:23 http://deb.debian.org/debian unstable/main amd64 exim4-config all 4.93-14 [328 kB]
Get:24 http://deb.debian.org/debian unstable/main amd64 exim4-base amd64 4.93-14 [1,153 kB]
Get:25 http://deb.debian.org/debian unstable/main amd64 libunbound8 amd64 1.10.0-1 [485 kB]
Get:26 http://deb.debian.org/debian unstable/main amd64 libgnutls-dane0 amd64 3.6.13-2 [361 kB]
Get:27 http://deb.debian.org/debian unstable/main amd64 exim4-daemon-light amd64 4.93-14 [627 kB]
Get:28 http://deb.debian.org/debian unstable/main amd64 liblockfile1 amd64 1.16-1.1 [16.7 kB]
Get:29 http://deb.debian.org/debian unstable/main amd64 bsd-mailx amd64 8.1.2-0.20180807cvs-1+b1 [89.4 kB]
Get:30 http://deb.debian.org/debian unstable/main amd64 libid3-3.8.3v5 amd64 3.8.3-16.2+b1 [155 kB]
Get:31 http://deb.debian.org/debian unstable/main amd64 id3v2 amd64 0.1.12+dfsg-3 [25.3 kB]
Get:32 http://deb.debian.org/debian unstable/main amd64 cuetools amd64 1.4.1-0.2 [55.5 kB]
Get:33 http://deb.debian.org/debian unstable/main amd64 flake amd64 0.11-4 [39.9 kB]
Get:34 http://deb.debian.org/debian unstable/main amd64 libglyr1 amd64 1.0.10-1 [63.1 kB]
Get:35 http://deb.debian.org/debian unstable/main amd64 glyrc amd64 1.0.10-1 [21.4 kB]
Get:36 http://deb.debian.org/debian unstable/main amd64 libcommon-sense-perl amd64 3.75-1 [24.3 kB]
Get:37 http://deb.debian.org/debian unstable/main amd64 libev-perl amd64 4.33-1 [264 kB]
Get:38 http://deb.debian.org/debian unstable/main amd64 libxs-parse-sublike-perl amd64 0.07-1 [19.9 kB]
Get:39 http://deb.debian.org/debian unstable/main amd64 libfuture-asyncawait-perl amd64 0.40-1 [45.9 kB]
Get:40 http://deb.debian.org/debian unstable/main amd64 libio-socket-socks-perl all 0.74-1 [30.7 kB]
Get:41 http://deb.debian.org/debian unstable/main amd64 libmojo-server-fastcgi-perl all 0.50-1 [13.8 kB]
Get:42 http://deb.debian.org/debian unstable/main amd64 oss-compat amd64 7 [5,400 B]
Get:43 http://deb.debian.org/debian unstable/main amd64 pnmixer amd64 0.7.2-1 [162 kB]
Get:44 http://deb.debian.org/debian unstable/main amd64 shntool amd64 3.0.10-1+b1 [74.9 kB]
Get:45 http://deb.debian.org/debian unstable/main amd64 wavpack amd64 5.3.0-1 [106 kB]
Fetched 7,211 kB in 31s (235 kB/s)                                             
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
Extracting templates from packages: 100%
Preconfiguring packages ...
Selecting previously unselected package cdparanoia.
(Reading database ... 365342 files and directories currently installed.)
Preparing to unpack .../00-cdparanoia_3.10.2+debian-13+b1_amd64.deb ...
Unpacking cdparanoia (3.10.2+debian-13+b1) ...
Selecting previously unselected package vorbis-tools.
Preparing to unpack .../01-vorbis-tools_1.4.0-11_amd64.deb ...
Unpacking vorbis-tools (1.4.0-11) ...
Selecting previously unselected package asunder.
Preparing to unpack .../02-asunder_2.9.5-1_amd64.deb ...
Unpacking asunder (2.9.5-1) ...
Selecting previously unselected package cd-discid.
Preparing to unpack .../03-cd-discid_1.4-1+b1_amd64.deb ...
Unpacking cd-discid (1.4-1+b1) ...
Selecting previously unselected package lame.
Preparing to unpack .../04-lame_3.100-3_amd64.deb ...
Unpacking lame (3.100-3) ...
Selecting previously unselected package flac.
Preparing to unpack .../05-flac_1.3.3-1_amd64.deb ...
Unpacking flac (1.3.3-1) ...
Selecting previously unselected package libdiscid0:amd64.
Preparing to unpack .../06-libdiscid0_0.6.2-3_amd64.deb ...
Unpacking libdiscid0:amd64 (0.6.2-3) ...
Selecting previously unselected package libmusicbrainz-discid-perl.
Preparing to unpack .../07-libmusicbrainz-discid-perl_0.06-1_amd64.deb ...
Unpacking libmusicbrainz-discid-perl (0.06-1) ...
Selecting previously unselected package libjs-prettify.
Preparing to unpack .../08-libjs-prettify_2015.12.04+dfsg-1.1_all.deb ...
Unpacking libjs-prettify (2015.12.04+dfsg-1.1) ...
Selecting previously unselected package libmojolicious-perl.
Preparing to unpack .../09-libmojolicious-perl_8.40+dfsg-1_all.deb ...
Unpacking libmojolicious-perl (8.40+dfsg-1) ...
Selecting previously unselected package libwebservice-musicbrainz-perl.
Preparing to unpack .../10-libwebservice-musicbrainz-perl_1.0.4-2_all.deb ...
Unpacking libwebservice-musicbrainz-perl (1.0.4-2) ...
Selecting previously unselected package abcde.
Preparing to unpack .../11-abcde_2.9.3-1_all.deb ...
Unpacking abcde (2.9.3-1) ...
Selecting previously unselected package fxload.
Preparing to unpack .../12-fxload_0.0.20081013-1+b2_amd64.deb ...
Unpacking fxload (0.0.20081013-1+b2) ...
Selecting previously unselected package alsa-firmware-loaders.
Preparing to unpack .../13-alsa-firmware-loaders_1.2.2-1_amd64.deb ...
Unpacking alsa-firmware-loaders (1.2.2-1) ...
Selecting previously unselected package alsa-tools.
Preparing to unpack .../14-alsa-tools_1.2.2-1_amd64.deb ...
Unpacking alsa-tools (1.2.2-1) ...
Selecting previously unselected package libfltk1.1:amd64.
Preparing to unpack .../15-libfltk1.1_1.1.10-26_amd64.deb ...
Unpacking libfltk1.1:amd64 (1.1.10-26) ...
Selecting previously unselected package alsa-tools-gui.
Preparing to unpack .../16-alsa-tools-gui_1.2.2-1_amd64.deb ...
Unpacking alsa-tools-gui (1.2.2-1) ...
Selecting previously unselected package alsamixergui.
Preparing to unpack .../17-alsamixergui_0.9.0rc2-1-10+b1_amd64.deb ...
Unpacking alsamixergui (0.9.0rc2-1-10+b1) ...
Selecting previously unselected package alsaplayer-alsa.
Preparing to unpack .../18-alsaplayer-alsa_0.99.81-2+b1_amd64.deb ...
Unpacking alsaplayer-alsa (0.99.81-2+b1) ...
Selecting previously unselected package alsaplayer-gtk.
Preparing to unpack .../19-alsaplayer-gtk_0.99.81-2+b1_amd64.deb ...
Unpacking alsaplayer-gtk (0.99.81-2+b1) ...
Selecting previously unselected package alsaplayer-common.
Preparing to unpack .../20-alsaplayer-common_0.99.81-2+b1_amd64.deb ...
Unpacking alsaplayer-common (0.99.81-2+b1) ...
Selecting previously unselected package apulse:amd64.
Preparing to unpack .../21-apulse_0.1.12-2_amd64.deb ...
Unpacking apulse:amd64 (0.1.12-2) ...
Selecting previously unselected package exim4-config.
Preparing to unpack .../22-exim4-config_4.93-14_all.deb ...
Unpacking exim4-config (4.93-14) ...
Selecting previously unselected package exim4-base.
Preparing to unpack .../23-exim4-base_4.93-14_amd64.deb ...
Unpacking exim4-base (4.93-14) ...
Selecting previously unselected package libunbound8:amd64.
Preparing to unpack .../24-libunbound8_1.10.0-1_amd64.deb ...
Unpacking libunbound8:amd64 (1.10.0-1) ...
Selecting previously unselected package libgnutls-dane0:amd64.
Preparing to unpack .../25-libgnutls-dane0_3.6.13-2_amd64.deb ...
Unpacking libgnutls-dane0:amd64 (3.6.13-2) ...
Selecting previously unselected package exim4-daemon-light.
Preparing to unpack .../26-exim4-daemon-light_4.93-14_amd64.deb ...
Unpacking exim4-daemon-light (4.93-14) ...
Selecting previously unselected package liblockfile1:amd64.
Preparing to unpack .../27-liblockfile1_1.16-1.1_amd64.deb ...
Unpacking liblockfile1:amd64 (1.16-1.1) ...
Selecting previously unselected package bsd-mailx.
Preparing to unpack .../28-bsd-mailx_8.1.2-0.20180807cvs-1+b1_amd64.deb ...
Unpacking bsd-mailx (8.1.2-0.20180807cvs-1+b1) ...
Selecting previously unselected package libid3-3.8.3v5:amd64.
Preparing to unpack .../29-libid3-3.8.3v5_3.8.3-16.2+b1_amd64.deb ...
Unpacking libid3-3.8.3v5:amd64 (3.8.3-16.2+b1) ...
Selecting previously unselected package id3v2.
Preparing to unpack .../30-id3v2_0.1.12+dfsg-3_amd64.deb ...
Unpacking id3v2 (0.1.12+dfsg-3) ...
Selecting previously unselected package cuetools.
Preparing to unpack .../31-cuetools_1.4.1-0.2_amd64.deb ...
Unpacking cuetools (1.4.1-0.2) ...
Selecting previously unselected package flake.
Preparing to unpack .../32-flake_0.11-4_amd64.deb ...
Unpacking flake (0.11-4) ...
Selecting previously unselected package libglyr1:amd64.
Preparing to unpack .../33-libglyr1_1.0.10-1_amd64.deb ...
Unpacking libglyr1:amd64 (1.0.10-1) ...
Selecting previously unselected package glyrc.
Preparing to unpack .../34-glyrc_1.0.10-1_amd64.deb ...
Unpacking glyrc (1.0.10-1) ...
Selecting previously unselected package libcommon-sense-perl.
Preparing to unpack .../35-libcommon-sense-perl_3.75-1_amd64.deb ...
Unpacking libcommon-sense-perl (3.75-1) ...
Selecting previously unselected package libev-perl.
Preparing to unpack .../36-libev-perl_4.33-1_amd64.deb ...
Unpacking libev-perl (4.33-1) ...
Selecting previously unselected package libxs-parse-sublike-perl.
Preparing to unpack .../37-libxs-parse-sublike-perl_0.07-1_amd64.deb ...
Unpacking libxs-parse-sublike-perl (0.07-1) ...
Selecting previously unselected package libfuture-asyncawait-perl.
Preparing to unpack .../38-libfuture-asyncawait-perl_0.40-1_amd64.deb ...
Unpacking libfuture-asyncawait-perl (0.40-1) ...
Selecting previously unselected package libio-socket-socks-perl.
Preparing to unpack .../39-libio-socket-socks-perl_0.74-1_all.deb ...
Unpacking libio-socket-socks-perl (0.74-1) ...
Selecting previously unselected package libmojo-server-fastcgi-perl.
Preparing to unpack .../40-libmojo-server-fastcgi-perl_0.50-1_all.deb ...
Unpacking libmojo-server-fastcgi-perl (0.50-1) ...
Selecting previously unselected package oss-compat.
Preparing to unpack .../41-oss-compat_7_amd64.deb ...
Unpacking oss-compat (7) ...
Selecting previously unselected package pnmixer.
Preparing to unpack .../42-pnmixer_0.7.2-1_amd64.deb ...
Unpacking pnmixer (0.7.2-1) ...
Selecting previously unselected package shntool.
Preparing to unpack .../43-shntool_3.0.10-1+b1_amd64.deb ...
Unpacking shntool (3.0.10-1+b1) ...
Selecting previously unselected package wavpack.
Preparing to unpack .../44-wavpack_5.3.0-1_amd64.deb ...
Unpacking wavpack (5.3.0-1) ...
Setting up shntool (3.0.10-1+b1) ...
Setting up vorbis-tools (1.4.0-11) ...
Setting up wavpack (5.3.0-1) ...
Setting up cd-discid (1.4-1+b1) ...
Setting up cdparanoia (3.10.2+debian-13+b1) ...
Setting up libfltk1.1:amd64 (1.1.10-26) ...
Setting up libglyr1:amd64 (1.0.10-1) ...
Setting up alsa-tools-gui (1.2.2-1) ...
Setting up alsaplayer-alsa (0.99.81-2+b1) ...
Setting up pnmixer (0.7.2-1) ...
Setting up libcommon-sense-perl (3.75-1) ...
Setting up alsa-tools (1.2.2-1) ...
Setting up oss-compat (7) ...
Setting up lame (3.100-3) ...
Setting up libxs-parse-sublike-perl (0.07-1) ...
Setting up glyrc (1.0.10-1) ...
Setting up flake (0.11-4) ...
Setting up libunbound8:amd64 (1.10.0-1) ...
Setting up alsamixergui (0.9.0rc2-1-10+b1) ...
Setting up flac (1.3.3-1) ...
Setting up libdiscid0:amd64 (0.6.2-3) ...
Setting up libio-socket-socks-perl (0.74-1) ...
Setting up fxload (0.0.20081013-1+b2) ...
Setting up apulse:amd64 (0.1.12-2) ...
Setting up libfuture-asyncawait-perl (0.40-1) ...
Setting up exim4-config (4.93-14) ...
Adding system-user for exim (v4)
2020-04-25 20:17:06 Warning: No server certificate defined; will use a selfsigne
d one.
 Suggested action: either install a certificate or change tls_advertise_hosts op
tion
Setting up libjs-prettify (2015.12.04+dfsg-1.1) ...
Setting up liblockfile1:amd64 (1.16-1.1) ...
Setting up libev-perl (4.33-1) ...
Setting up alsaplayer-gtk (0.99.81-2+b1) ...
Setting up libid3-3.8.3v5:amd64 (3.8.3-16.2+b1) ...
Setting up asunder (2.9.5-1) ...
Setting up libgnutls-dane0:amd64 (3.6.13-2) ...
Setting up exim4-base (4.93-14) ...
exim: DB upgrade, deleting hints-db
Created symlink /etc/systemd/system/timers.target.wants/exim4-base.timer → /lib/
systemd/system/exim4-base.timer.
exim4-base.service is a disabled or a static unit, not starting it.
Setting up libmusicbrainz-discid-perl (0.06-1) ...
Setting up libmojolicious-perl (8.40+dfsg-1) ...
Setting up alsa-firmware-loaders (1.2.2-1) ...
Setting up libwebservice-musicbrainz-perl (1.0.4-2) ...
Setting up id3v2 (0.1.12+dfsg-3) ...
Setting up alsaplayer-common (0.99.81-2+b1) ...
Setting up exim4-daemon-light (4.93-14) ...
Setting up libmojo-server-fastcgi-perl (0.50-1) ...
Setting up cuetools (1.4.1-0.2) ...
Setting up bsd-mailx (8.1.2-0.20180807cvs-1+b1) ...
update-alternatives: using /usr/bin/bsd-mailx to provide /usr/bin/mailx (mailx)
in auto mode
Setting up abcde (2.9.3-1) ...
Processing triggers for bamfdaemon (0.5.4-2) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for desktop-file-utils (0.24-1) ...
Processing triggers for mime-support (3.64) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for libc-bin (2.30-4) ...
Processing triggers for rsyslog (8.2002.0-2) ...
Processing triggers for systemd (245.5-1) ...
Processing triggers for man-db (2.9.1-1) ...
Processing triggers for menu (2.1.47+b1) ...


PS: Just rebooted and still no luck on linux-image-5.5.0-2-amd64
johnnyhoffmann32
 
Posts: 11
Joined: 2016-08-28 09:17

Re: No sound, Only Dummy Output in linux-image-5.5.0-2-amd64

Postby sunrat » 2020-04-25 12:20

Bloom wrote:Perhaps the audio support got uninstalled somehow?
You can always try to reinstall everything audio. I use something like this for my system:
Code: Select all
sudo apt -y install alsa-tools-gui alsa-tools alsa-utils alsa-firmware-loaders alsamixergui alsaplayer oss-compat apulse ffmpeg ffmpegthumbnailer libdvdcss2 libdvdread7 abcde id3v2 asunder wavpack flac flake lame shorten shntool cuetools monkeys-audio pnmixer

None of those packages have anything to do with the sound card drivers not loading.
If it works with 5.4.0-4 kernel , just use that. If you're running Sid you should never remove the previous working kernel until the new one is confirmed to be ok. I run Sid and always have at least 2 kernels to choose from.
I have no idea why it doesn't work for you. 5.5 series kernels worked fine for me including audio, and although mine is Intel audio it's not the same chip as yours.
“ computer users can be divided into 2 categories:
Those who have lost data
...and those who have not lost data YET ”
Remember to BACKUP!
User avatar
sunrat
 
Posts: 3239
Joined: 2006-08-29 09:12
Location: Melbourne, Australia

Re: No sound, Only Dummy Output in linux-image-5.5.0-2-amd64

Postby dcihon » 2020-04-26 12:14

I have this same issue and none of the kernels I use can get my bluetooth working.
These are my computer specs and yes I am running MX Linux. I have the issue in their forum also and not much help there either.
So I thought I would ask for help here. You can see my post there with everything I have tried (links below). Thanks for any help anyone can give.

First system specs:
Code: Select all
[code]
Snaphot created on: 20200413_2353
System:    Host: mx-kde Kernel: 5.4.0-4-amd64 x86_64 bits: 64 compiler: gcc v: 8.3.0
           parameters: BOOT_IMAGE=/boot/vmlinuz-5.4.0-4-amd64 root=UUID=2697ae54-f9f7-488c-a6dd-11828dcb8e57 ro quiet
           Desktop: KDE Plasma 5.14.5 tk: Qt 5.11.3 info: cairo-dock wm: kwin_x11 dm: LightDM 1.26.0
           Distro: MX-19.1_x64 patito feo October 21  2019 base: Debian GNU/Linux 10 (buster)
Machine:   Type: Convertible System: HP product: HP Spectre x360 Convertible 15-df1xxx v: N/A serial: <filter> Chassis:
           type: 31 serial: <filter>
           Mobo: HP model: 863F v: 54.14 serial: <filter> UEFI: AMI v: F.11 date: 10/14/2019
Battery:   ID-1: BAT0 charge: 53.0 Wh condition: 79.5/79.5 Wh (100%) volts: 11.5/11.6 model: HP Primary type: Li-ion
           serial: <filter> status: Discharging cycles: 33
           Device-1: hid-0018:04F3:2992.0001-battery model: ELAN2514:00 04F3:2992 serial: N/A charge: N/A status: N/A
CPU:       Topology: Quad Core model: Intel Core i7-10510U bits: 64 type: MT MCP arch: Kaby Lake family: 6 model-id: 8E (142)
           stepping: C (12) microcode: CA L2 cache: 8192 KiB
           flags: avx avx2 lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx bogomips: 36799
           Speed: 800 MHz min/max: 400/4900 MHz Core speeds (MHz): 1: 800 2: 800 3: 800 4: 799 5: 800 6: 800 7: 799 8: 794
           Vulnerabilities: Type: itlb_multihit status: KVM: Split huge pages
           Type: l1tf status: Not affected
           Type: mds status: Not affected
           Type: meltdown status: Not affected
           Type: spec_store_bypass mitigation: Speculative Store Bypass disabled via prctl and seccomp
           Type: spectre_v1 mitigation: usercopy/swapgs barriers and __user pointer sanitization
           Type: spectre_v2 mitigation: Enhanced IBRS, IBPB: conditional, RSB filling
           Type: tsx_async_abort status: Not affected
Graphics:  Device-1: Intel vendor: Hewlett-Packard driver: i915 v: kernel bus ID: 00:02.0 chip ID: 8086:9b41
           Device-2: NVIDIA GP108M [GeForce MX250] driver: N/A bus ID: 3b:00.0 chip ID: 10de:1d13
           Display: x11 server: X.Org 1.20.4 driver: modesetting unloaded: fbdev,vesa compositor: kwin_x11
           resolution: 1920x1080~60Hz
           OpenGL: renderer: Mesa DRI Intel UHD Graphics (Comet Lake 3x8 GT2) v: 4.6 Mesa 19.3.3 compat-v: 3.0
           direct render: Yes
Audio:     Device-1: Intel vendor: Hewlett-Packard driver: snd_hda_intel v: kernel bus ID: 00:1f.3 chip ID: 8086:02c8
           Sound Server: ALSA v: k5.4.0-4-amd64
Network:   Device-1: Intel driver: iwlwifi v: kernel port: 4000 bus ID: 00:14.3 chip ID: 8086:02f0
           IF: wlan0 state: up mac: <filter>
Drives:    Local Storage: total: 504.19 GiB used: 30.36 GiB (6.0%)
           ID-1: /dev/nvme0n1 vendor: Intel model: HBRPEKNX0202AH size: 476.94 GiB block size: physical: 512 B logical: 512 B
           speed: 15.8 Gb/s lanes: 2 serial: <filter> rev: HPS1 scheme: GPT
           ID-2: /dev/nvme1n1 vendor: Intel model: HBRPEKNX0202AHO size: 27.25 GiB block size: physical: 512 B logical: 512 B
           speed: 15.8 Gb/s lanes: 2 serial: <filter> rev: HPS2
RAID:      Hardware-1: Intel 82801 Mobile SATA Controller [RAID mode] driver: ahci v: 3.0 port: 4060 bus ID: 00:17.0
           chip ID: 8086.282a rev: N/A
Partition: ID-1: / raw size: 40.00 GiB size: 39.12 GiB (97.81%) used: 12.30 GiB (31.4%) fs: ext4 dev: /dev/nvme0n1p5
           ID-2: /home raw size: 200.00 GiB size: 195.86 GiB (97.93%) used: 18.04 GiB (9.2%) fs: ext4 dev: /dev/nvme0n1p6
           ID-3: swap-1 size: 16.00 GiB used: 0 KiB (0.0%) fs: swap swappiness: 15 (default 60) cache pressure: 100 (default)
           dev: /dev/nvme0n1p7
Sensors:   System Temperatures: cpu: 49.0 C mobo: N/A
           Fan Speeds (RPM): N/A
Repos:     No active apt repos in: /etc/apt/sources.list
           Active apt repos in: /etc/apt/sources.list.d/brave-browser-release.list
           1: deb [arch=amd64] https://brave-browser-apt-release.s3.brave.com/ buster main
           Active apt repos in: /etc/apt/sources.list.d/debian-stable-updates.list
           1: deb http://deb.debian.org/debian buster-updates main contrib non-free
           Active apt repos in: /etc/apt/sources.list.d/debian.list
           1: deb http://deb.debian.org/debian buster main contrib non-free
           2: deb http://deb.debian.org/debian-security buster/updates main contrib non-free
           Active apt repos in: /etc/apt/sources.list.d/mx.list
           1: deb http://ftp.osuosl.org/pub/mxlinux/mx/repo/ buster main non-free
           2: deb http://ftp.osuosl.org/pub/mxlinux/mx/repo/ buster ahs
           No active apt repos in: /etc/apt/sources.list.d/various.list
Info:      Processes: 278 Uptime: 13h 00m Memory: 15.28 GiB used: 2.29 GiB (15.0%) Init: SysVinit v: 2.93 runlevel: 5
           default: 5 Compilers: gcc: 8.3.0 alt: 8 Shell: bash v: 5.0.3 running in: quick-system-in inxi: 3.0.36
[/code]


Next my link from the MX Forum:
https://forum.mxlinux.org/viewtopic.php?f=127&t=57631
dcihon
 
Posts: 238
Joined: 2012-09-23 16:18

Re: No sound, Only Dummy Output in linux-image-5.5.0-2-amd64

Postby johnnyhoffmann32 » 2020-04-28 03:50

dcihon, Have you tried running
Code: Select all
sudo dmesg
? Maybe your missing firmware.

Code: Select all
[    3.850454] firmware_class: See https://wiki.debian.org/Firmware for information about missing firmware
[    3.850583] usb 3-1.5: Direct firmware load for ar3k/AthrBT_0x11020000.dfu failed with error -2
[    3.850750] Bluetooth: Loading patch file failed
[    3.851024] ath3k: probe of 3-1.5:1.0 failed with error -2
[    3.851311] usbcore: registered new interface driver ath3k


In my case I have an Atheros Bluetooth module, so I installed
Code: Select all
 firmware-atheros
by using
Code: Select all
sudo apt-get install firmware-atheros
johnnyhoffmann32
 
Posts: 11
Joined: 2016-08-28 09:17

Re: No sound, Only Dummy Output in linux-image-5.5.0-2-amd64

Postby sunrat » 2020-04-28 04:10

johnnyhoffmann32 wrote:In my case I have an Atheros Bluetooth module, so I installed
Code: Select all
 firmware-atheros
by using
Code: Select all
sudo apt-get install firmware-atheros


That firmware is already installed by default in MX Linux.
OP should continue to hope for a solution on the MX forum. This is a Debian forum. Not the same.
“ computer users can be divided into 2 categories:
Those who have lost data
...and those who have not lost data YET ”
Remember to BACKUP!
User avatar
sunrat
 
Posts: 3239
Joined: 2006-08-29 09:12
Location: Melbourne, Australia

Re: No sound, Only Dummy Output in linux-image-5.5.0-2-amd64

Postby johnnyhoffmann32 » 2020-04-28 04:34

Sorry, I was using my post as an example. I have never used MX Linux. Nevermind :(
johnnyhoffmann32
 
Posts: 11
Joined: 2016-08-28 09:17

Re: No sound, Only Dummy Output in linux-image-5.5.0-2-amd64

Postby stevepusser » 2020-04-29 03:33

Intel sound for 6th gen and up also requires firmware-misc-nonfree (or the newer "linux-firmware" massive-all firmware-in-one-big-deb package I ported from Ubuntu). Debian's firmware packages date back to last July, even for Sid, and may be missing firmware for newer kernels.
MX Linux packager and developer
User avatar
stevepusser
 
Posts: 12078
Joined: 2009-10-06 05:53

Re: No sound, Only Dummy Output in linux-image-5.5.0-2-amd64

Postby johnnyhoffmann32 » 2020-04-29 03:37

I already have
Code: Select all
firmware-misc-nonfree
installed on my computer
johnnyhoffmann32
 
Posts: 11
Joined: 2016-08-28 09:17

Re: No sound, Only Dummy Output in linux-image-5.5.0-2-amd64

Postby sunrat » 2020-04-29 04:18

johnnyhoffmann32 wrote:Sorry, I was using my post as an example. I have never used MX Linux. Nevermind :(


Sorry I confused your posts with the post hijacker dcihon. This is why it's encouraged to open a new topic for each individual problem so those trying to help don't get confused with WTF is going on.
“ computer users can be divided into 2 categories:
Those who have lost data
...and those who have not lost data YET ”
Remember to BACKUP!
User avatar
sunrat
 
Posts: 3239
Joined: 2006-08-29 09:12
Location: Melbourne, Australia

Re: No sound, Only Dummy Output in linux-image-5.5.0-2-amd64

Postby stevepusser » 2020-04-30 04:19

johnnyhoffmann32 wrote:I already have
Code: Select all
firmware-misc-nonfree
installed on my computer


Debian's firmware may be too old for a newer kernel--often a newer kernel requests a newer version of firmware for existing hardware.

Have you search the output of "dmesg" for any firmware load errors? You could also try a 5.6 Liquorix kernel to see it it has the same problem. I have no problems with the current 5.6 Liquorix kernel on a 2018 Intel-based laptop.
MX Linux packager and developer
User avatar
stevepusser
 
Posts: 12078
Joined: 2009-10-06 05:53


Return to Hardware

Who is online

Users browsing this forum: No registered users and 17 guests

fashionable